import { LinkMatcherOptions } from './Interfaces';
import { LinkMatcher, LinkMatcherHandler } from './Types';
export declare class Linkifier {
    protected static TIME_BEFORE_LINKIFY: number;
    protected _linkMatchers: LinkMatcher[];
    private _document;
    private _rows;
    private _rowTimeoutIds;
    private _nextLinkMatcherId;
    constructor(document: Document, rows: HTMLElement[]);
    linkifyRow(rowIndex: number): void;
    attachHypertextLinkHandler(handler: LinkMatcherHandler): void;
    registerLinkMatcher(regex: RegExp, handler: LinkMatcherHandler, options?: LinkMatcherOptions): number;
    private _addLinkMatcherToList(matcher);
    deregisterLinkMatcher(matcherId: number): boolean;
    private _linkifyRow(rowIndex);
    private _doLinkifyRow(rowIndex, uri, handler, isHttpLinkMatcher);
    private _findLinkMatch(text, regex, matchIndex?);
    private _createAnchorElement(uri, handler, isHypertextLinkHandler);
    private _replaceNode(oldNode, ...newNodes);
    private _replaceNodeSubstringWithNode(targetNode, newNode, substring, substringIndex);
}
